Bug 520160 - X crashes with segfault with intel driver [945GM, multi-head]
Summary: X crashes with segfault with intel driver [945GM, multi-head]
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 17:02 UTC by Peter Jones
Modified: 2018-04-11 08:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 08:35:54 UTC


Attachments (Terms of Use)
Xorg.0.log with traceback in it. (95.85 KB, text/plain)
2009-08-28 17:02 UTC, Peter Jones
no flags Details
ThinkPad T60 Xorg log with segfault (49.28 KB, text/plain)
2009-10-28 09:15 UTC, Robert de Rooy
no flags Details

Description Peter Jones 2009-08-28 17:02:13 UTC
Created attachment 359100 [details]
Xorg.0.log with traceback in it.

Description of problem: 

0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x45ecf8]
1: /usr/bin/Xorg (0x400000+0x62679) [0x462679]
2: /lib64/libpthread.so.0 (0x7f0c87fe7000+0xf260) [0x7f0c87ff6260]
3: /usr/lib64/libpixman-1.so.0 (0x7f0c88655000+0x6ba0) [0x7f0c8865bba0]
4: /usr/lib64/libpixman-1.so.0 (0x7f0c88655000+0x350f9) [0x7f0c8868a0f9]
5: /usr/lib64/libpixman-1.so.0 (0x7f0c88655000+0x2f88b) [0x7f0c8868488b]
6: /usr/lib64/libpixman-1.so.0 (0x7f0c88655000+0x37552) [0x7f0c8868c552]
7: /usr/lib64/libpixman-1.so.0 (0x7f0c88655000+0x38870) [0x7f0c8868d870]
8: /usr/lib64/libpixman-1.so.0 (0x7f0c88655000+0x2f58a) [0x7f0c8868458a]
9: /usr/lib64/libpixman-1.so.0 (pixman_image_composite+0x17c) [0x7f0c8868531c]
10: /usr/lib64/xorg/modules/libfb.so (fbComposite+0x160) [0x7f0c83848cb0]
11: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f0c83c5c000+0x5da23) [0x7f0c83cb9a23]
12: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f0c83c5c000+0x5bf72) [0x7f0c83cb7f72]
13: /usr/bin/Xorg (0x400000+0xd1b30) [0x4d1b30]
14: /usr/bin/Xorg (0x400000+0x15e2d9) [0x55e2d9]
15: /usr/bin/Xorg (0x400000+0x15e5a5) [0x55e5a5]
16: /usr/bin/Xorg (0x400000+0xa2876) [0x4a2876]
17: /usr/bin/Xorg (0x400000+0x4f13e) [0x44f13e]
18: /usr/bin/Xorg (MapWindow+0x179) [0x453229]
19: /usr/bin/Xorg (0x400000+0x2c3a6) [0x42c3a6]
20: /usr/bin/Xorg (0x400000+0x2cc74) [0x42cc74]
21: /usr/bin/Xorg (0x400000+0x21eba) [0x421eba]
22: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f0c867c6b8d]
23: /usr/bin/Xorg (0x400000+0x21a69) [0x421a69]
Segmentation fault at address 0x1cff000

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

Comment 1 Peter Jones 2009-08-28 17:16:15 UTC
This is with:

xorg-x11-server-Xorg-1.6.99-41.20090825.fc12.x86_64
xorg-x11-drv-intel-2.8.0-8.fc12.x86_64
pixman-0.15.20-1.fc12.x86_64
glibc-2.10.90-15.x86_64

Comment 2 Vedran Miletić 2009-10-26 15:10:37 UTC
Any changes recently?

Comment 3 Robert de Rooy 2009-10-28 09:14:18 UTC
I am seeing the same problem on a ThinkPad T60 running F12 beta. But only when a secondary display is attached (multi-head).

I tried upgrading to the latest Intel driver, Xorg and kernel to no avail. Here are my current versions;
kernel-2.6.31.5-97.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686
xorg-x11-server-Xorg-1.7.1-1.fc12.i686

If I use that same kernel version on a plain F11 install, multi-head works great.

Comment 4 Robert de Rooy 2009-10-28 09:15:07 UTC
Created attachment 366403 [details]
ThinkPad T60 Xorg log with segfault

Comment 5 Vedran Miletić 2009-10-28 15:57:57 UTC
Original bug is G31, and you have 945GM. Not sure how similar these are, but let's leave it as 945GM for the time being. Updating summary.

Comment 6 Matěj Cepl 2009-11-05 17:14:38 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 7 Robert de Rooy 2009-11-05 18:04:29 UTC
Yes this segfault is a current issue, and is preventing me from upgrading my work system to F12.

Comment 8 Søren Sandmann Pedersen 2009-11-05 19:19:42 UTC
You may want to try xorg-x11-server 1.7.1-5 or later.

There is a good chance this bug is fixed there.

Comment 9 Robert de Rooy 2009-11-06 07:26:45 UTC
Indeed, I upgraded to the latest 1.7.1-6 build and it works again. For me this issue is therefore resolved.

Comment 10 Vedran Miletić 2009-11-06 08:35:54 UTC
Thanks for reporting back.


Note You need to log in before you can comment on or make changes to this bug.